#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kopeninghours
Summary:	A library for parsing and evaluating OSM opening hours expressions
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	aff9c1fa93b33d19e0134a888bdc8938
URL:		https://community.kde.org/
BuildRequires:	Qt5Core-devel >= 5.15.2
BuildRequires:	Qt5Network-devel >= 5.15.2
BuildRequires:	Qt5Qml-devel
BuildRequires:	bison
BuildRequires:	boost-python3-devel
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.44
BuildRequires:	kf5-kholidays-devel >= 5.77
BuildRequires:	kf5-ki18n-devel >= 5.77
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.6
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info >= 1.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for parsing and evaluating OSM opening hours expressions.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.


%prep
%setup -q -n %{kaname}-%{version}
# correct python components install dir
sed -i "s:set(_install_dir lib:set(_install_dir %{_libdir}:g" PyKOpeningHours/CMakeLists.txt

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKOpeningHours.so.1
%attr(755,root,root) %{_libdir}/libKOpeningHours.so.*.*.*
%dir %{_libdir}/qt5/qml/org/kde/kopeninghours
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kopeninghours/libkopeninghoursqmlplugin.so
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kopeninghours/qmldir
%{_datadir}/qlogging-categories5/org_kde_kopeninghours.categories
%dir %{py3_sitedir}/PyKOpeningHours
%{py3_sitedir}/PyKOpeningHours/PyKOpeningHours.pyi
%attr(755,root,root) %{py3_sitedir}/PyKOpeningHours/PyKOpeningHours.so
%{py3_sitedir}/PyKOpeningHours/__init__.py

%files devel
%defattr(644,root,root,755)
%{_includedir}/KOpeningHours
%{_includedir}/kopeninghours
%{_includedir}/kopeninghours_version.h
%{_libdir}/cmake/KOpeningHours
%{_libdir}/libKOpeningHours.so
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kopeninghours.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a75ca4c
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f8732c2
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 09e1f6f
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a7a3514
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c128f37
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5614eda
- updated to 22.08.0

* Mon Jul 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 035dad6
- missing dir, relup

* Mon Jul 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 800b50a
- BR boost-python3-devel, packaging python components, relup

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3f0072f
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 210cc9f
- updated to 22.04.2

* Wed May 18 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ea4ab45
- up to 22.04.1

* Sun Apr 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 06551e6
- ldconfig

* Sun Apr 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1f07bde
- 22.04.0

